#if !defined(AFX_FINDCONTROLOBJECTCTL_H__F5A09291_15BF_4E41_BB13_B3096DA29BF1__INCLUDED_)
#define AFX_FINDCONTROLOBJECTCTL_H__F5A09291_15BF_4E41_BB13_B3096DA29BF1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// FindControlObjectCtl.h : Declaration of the CFindControlObjectCtrl ActiveX Control class.

/////////////////////////////////////////////////////////////////////////////
// CFindControlObjectCtrl : See FindControlObjectCtl.cpp for implementation.
#include <mshtml.h>

class CFindControlObjectCtrl : public COleControl
{
	DECLARE_DYNCREATE(CFindControlObjectCtrl)

// Constructor
public:
	CFindControlObjectCtrl();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFindControlObjectCtrl)
	public:
	virtual void OnDraw(CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid);
	virtual void DoPropExchange(CPropExchange* pPX);
	virtual void OnResetState();
	//}}AFX_VIRTUAL

// Implementation
protected:
	~CFindControlObjectCtrl();

	void FindObject(IHTMLDocument2* pDoc);

	DECLARE_OLECREATE_EX(CFindControlObjectCtrl)    // Class factory and guid
	DECLARE_OLETYPELIB(CFindControlObjectCtrl)      // GetTypeInfo
	DECLARE_PROPPAGEIDS(CFindControlObjectCtrl)     // Property page IDs
	DECLARE_OLECTLTYPE(CFindControlObjectCtrl)		// Type name and misc status

// Message maps
	//{{AFX_MSG(CFindControlObjectCtrl)
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

// Dispatch maps
	//{{AFX_DISPATCH(CFindControlObjectCtrl)
	CString m_controlName;
	afx_msg void OnControlNameChanged();
	CString m_friendID;
	afx_msg void OnFriendIDChanged();
	//}}AFX_DISPATCH
	DECLARE_DISPATCH_MAP()

	afx_msg void AboutBox();

// Event maps
	//{{AFX_EVENT(CFindControlObjectCtrl)
	//}}AFX_EVENT
	DECLARE_EVENT_MAP()

// Dispatch and event IDs
public:
	enum {
	//{{AFX_DISP_ID(CFindControlObjectCtrl)
	dispidControlName = 1L,
	dispidFriendID = 2L,
	//}}AFX_DISP_ID
	};
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FINDCONTROLOBJECTCTL_H__F5A09291_15BF_4E41_BB13_B3096DA29BF1__INCLUDED)
